X11.XConfigureRequestEvent (JNA API)

com.sun.jna.platform.unix

## Class X11.XConfigureRequestEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XConfigureRequestEvent

- Enclosing interface:
    X11

      @Structure.FieldOrder(value={"type","serial","send_event","display","parent","window","x","y","width","height","border_width","above","detail","value_mask"})
      public static class X11.XConfigureRequestEvent
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `X11.Window` | `above`
    `int` | `border_width`
    `int` | `detail`
    `X11.Display` | `display`
    `int` | `height`
    `X11.Window` | `parent`
    `int` | `send_event`
    `NativeLong` | `serial`
    `int` | `type`
    `NativeLong` | `value_mask`
    `int` | `width`
    `X11.Window` | `window`
    `int` | `x`
    `int` | `y`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XConfigureRequestEvent()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### serial

          public NativeLong serial

    - #### send_event

          public int send_event

    - #### display

          public X11.Display display

    - #### parent

          public X11.Window parent

    - #### window

          public X11.Window window

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

    - #### border_width

          public int border_width

    - #### above

          public X11.Window above

    - #### detail

          public int detail

    - #### value_mask

          public NativeLong value_mask

  - ### Constructor Detail

    - #### XConfigureRequestEvent

          public XConfigureRequestEvent()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.